Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066084 - [abrt] qemu-system-x86: address_space_lookup_region() (windows 8 boot crashes)
Summary: [abrt] qemu-system-x86: address_space_lookup_region() (windows 8 boot crashes)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c51cc87912d98f7eb3996ed3300...
: 1056279 1056911 1103541 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 16:17 UTC by Eugene.Dolgoff
Modified: 2015-05-31 19:26 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-31 19:26:14 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-17 16:17 UTC, Eugene.Dolgoff
no flags Details
File: cgroup (deleted)
2014-02-17 16:17 UTC, Eugene.Dolgoff
no flags Details
File: core_backtrace (deleted)
2014-02-17 16:17 UTC, Eugene.Dolgoff
no flags Details
File: dso_list (deleted)
2014-02-17 16:17 UTC, Eugene.Dolgoff
no flags Details
File: environ (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: limits (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: maps (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: open_fds (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: proc_pid_status (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: var_log_messages (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details
File: exploitable (deleted)
2014-02-17 16:18 UTC, Eugene.Dolgoff
no flags Details

Description Eugene.Dolgoff 2014-02-17 16:17:41 UTC
Description of problem:
1. Update: sudo yum update
2. Reboot: sudo reboot

Version-Release number of selected component:
qemu-system-x86-1.6.1-3.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name it8w8 -S -machine pc-i440fx-1.6,accel=kvm,usb=off -m 2048 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1 -uuid 12f6d0fe-e51c-47d6-a934-ffdce8a24977 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/it8w8.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-shutdown -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/var/lib/libvirt/images/it8w8.img,if=none,id=drive-ide0-0-0,format=qcow2 -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -netdev tap,fd=22,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:2d:2a:68,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,bus=pci.0,addr=0x2 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
crash_function: address_space_lookup_region
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            107

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 address_space_lookup_region at /usr/src/debug/qemu-1.6.1/exec.c:242
 #1 address_space_translate_internal at /usr/src/debug/qemu-1.6.1/exec.c:256
 #2 address_space_translate at /usr/src/debug/qemu-1.6.1/exec.c:278
 #3 address_space_rw at /usr/src/debug/qemu-1.6.1/exec.c:1952
 #4 address_space_write at /usr/src/debug/qemu-1.6.1/exec.c:2035
 #5 address_space_unmap at /usr/src/debug/qemu-1.6.1/exec.c:2244
 #6 dma_memory_unmap at /usr/src/debug/qemu-1.6.1/include/sysemu/dma.h:146
 #7 dma_bdrv_unmap at dma-helpers.c:107
 #8 dma_bdrv_cb at dma-helpers.c:145
 #9 bdrv_co_em_bh at block.c:3850

Comment 1 Eugene.Dolgoff 2014-02-17 16:17:49 UTC
Created attachment 864165 [details]
File: backtrace

Comment 2 Eugene.Dolgoff 2014-02-17 16:17:51 UTC
Created attachment 864166 [details]
File: cgroup

Comment 3 Eugene.Dolgoff 2014-02-17 16:17:55 UTC
Created attachment 864167 [details]
File: core_backtrace

Comment 4 Eugene.Dolgoff 2014-02-17 16:17:59 UTC
Created attachment 864168 [details]
File: dso_list

Comment 5 Eugene.Dolgoff 2014-02-17 16:18:01 UTC
Created attachment 864170 [details]
File: environ

Comment 6 Eugene.Dolgoff 2014-02-17 16:18:04 UTC
Created attachment 864171 [details]
File: limits

Comment 7 Eugene.Dolgoff 2014-02-17 16:18:06 UTC
Created attachment 864172 [details]
File: maps

Comment 8 Eugene.Dolgoff 2014-02-17 16:18:09 UTC
Created attachment 864173 [details]
File: open_fds

Comment 9 Eugene.Dolgoff 2014-02-17 16:18:11 UTC
Created attachment 864174 [details]
File: proc_pid_status

Comment 10 Eugene.Dolgoff 2014-02-17 16:18:15 UTC
Created attachment 864175 [details]
File: var_log_messages

Comment 11 Eugene.Dolgoff 2014-02-17 16:18:17 UTC
Created attachment 864176 [details]
File: exploitable

Comment 12 Eugene.Dolgoff 2014-02-19 05:03:43 UTC
Another user experienced a similar problem:

1. Qcow2 disk was connected to the guest via virt-manager. 
2. Guest rebooted. 
3. Drive does not appear. 
4. Guest off. 
5. Guest included. 
6. During boot the guest (Win8.1) has failed.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name it8w81 -S -machine pc-i440fx-1.6,accel=kvm,usb=off -m 2048 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1 -uuid 50321cfa-0a83-417b-a3f5-0b6a5714a461 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/it8w81.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-shutdown -boot order=c,menu=on -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x5.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x5 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x5.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x5.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/var/lib/libvirt/images/it8w81.img,if=none,id=drive-ide0-0-0,format=qcow2 -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive if=none,id=drive-ide0-0-1,readonly=on,format=raw -device ide-cd,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 -drive file=/var/lib/libvirt/images/it8w8.img,if=none,id=drive-ide0-1-0,format=qcow2,cache=off -device ide-hd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=23,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:29:6b:62,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,bus=pci.0,addr=0x2 -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7
crash_function: address_space_lookup_region
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.12.10-300.fc20.x86_64
package:        qemu-system-x86-1.6.1-3.fc20
reason:         qemu-system-x86_64 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            107

Comment 13 Cole Robinson 2014-06-02 14:26:55 UTC
*** Bug 1103541 has been marked as a duplicate of this bug. ***

Comment 14 Cole Robinson 2014-06-02 14:26:58 UTC
*** Bug 1056911 has been marked as a duplicate of this bug. ***

Comment 15 Cole Robinson 2014-06-02 14:28:50 UTC
*** Bug 1056279 has been marked as a duplicate of this bug. ***

Comment 16 Cole Robinson 2014-06-02 14:30:04 UTC
All the duped bugs are slightly different, but have to do with memory lookups and win8 guests

Comment 17 Andrew Vagin 2014-10-16 10:58:22 UTC
Another user experienced a similar problem:

I compiled a new linux-next kernel in a VM and try to load it via kexec:
[root@avagin-fc19-cr mnt]# kexec -l /boot/vmlinuz-$kernel_release --initrd=/boot/initramfs-$kernel_release.img --command-line="`cat /proc/cmdline` earlyprintk=vga"
[root@avagin-fc19-cr mnt]# kexec -e
Connection to 192.168.122.37 closed.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name fc19-cr-2 -S -machine pc-1.2,accel=kvm,usb=off -m 3072 -realtime mlock=off -smp 4,sockets=4,cores=1,threads=1 -uuid 22282d07-836d-938c-4aab-d6bec17e2d83 -nographic -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/fc19-cr-2.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/mnt/ssd/vms/fc19-cr.img,if=none,id=drive-ide0-0-0,format=raw -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=/var/lib/libvirt/images/fc19-cr-2.img,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -netdev tap,fd=25,id=hostnet0,vhost=on,vhostfd=26 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:eb:23:1b,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: address_space_unmap
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.16.3-200.fc20.x86_64
package:        qemu-system-x86-1.6.2-8.fc20
reason:         qemu-system-x86_64 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            107

Comment 18 Fedora End Of Life 2015-05-29 10:57:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Cole Robinson 2015-05-31 19:26:14 UTC
All faf hits are on F20, so I assume this is fixed on F21+. Since this is unlikely to be fixed in F20 at this point, closing as EOL


Note You need to log in before you can comment on or make changes to this bug.